<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Styling Properties and Positioning</title>
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
	<body>
		<h1>CSS Common Styling</h1>
		<h2>CSS Display Property</h2>
		<div id="div-1">This is a div</div>
		<span id="span-1">This is a span</span>
		<img src="https://place-puppy.com/400x400" id="img">
		<span id="span-2">This is another span</span>
		<div id="div-2">This is another div</div>

		<h3>Notes in block,inline and inline-block</h3>
		<!-- Color property -->
		<p id="p-1">Block takes up the whole document width by default</p>
		<p id="p-2">width 60</p>
		<p id="p-3">width 40</p>
		
		<p>Even if there is enough space, block element do not
		sit next to each other unless if they are floated.</p>

		<p>Inline elements are things like bold and italics. you cannot control the height and width of these elements</p>
		<p>Inline-block can sit the same line and combines the block and inline properties</p>

		<div class="sample">width =30</div>
		<div class="sample">width =30</div>
		<div class="sample">width =30</div>

		<hr>
		<!-- Float Property -->
		<h3>Float</h3>
		<p>The float property is used for positioning and fomatting content e.g let an image flote left to right the text in a container</p>
		<p>
		<img src="https://place-puppy.com/400x400" class="img-float">

		Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
		cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
		proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
		
		<hr>
		
		<h3>CSS Units</h3>
		
		<h4>px vs %</h4>
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixel">100px</div>
		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div>16px</div>
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem
		</div>
		<div class="two-em">2em</div>
		<div class="two-hundred-percent">200</div>

		<br>
		<div class="parent">

			<div class="box fifty-percent">50%</div>
			<div class="box one-hundred-pixel">100px
			</div>
			<div class="box fifty-vw">50vw</div>
			<div class="box twenty-five-vh">25vh</div>
			<div>16px</div>
			<div class="one-rem">1rem</div>
			<div class="one-em">1em</div>
			<div class="two-rem">2rem
			</div>
			<div class="two-em">2em</div>
			<div class="two-hundred-percent">200%</div>
		</div>

		<hr>

		<section class="background">
			<div class="container-bg">
				<h3 class="bg-title">CSS Background Properties</h3>
			</div>
		</section>

		<hr>

		<!-- CSS Positioning Property -->
		<div class="parent-element">
			Parent Element
			<div class="child-one">
				I'm The child one element
				
			</div>
			<div class="child-two">
				All eyes on me . I am the child two element
			</div>
			<div class="child-three">
				All eyes on me . I am the child three element
			</div>

		</div>
		<hr>
			<h2>Z-index Example</h>
			<p>An element with greater stack order is always above an element with a lower stack order</p>
			<div class="container">
					<div class="black-box">Black box (z-index :1)</div>
					<div class="gray-box">Gray box (z-index :3)</div>
					<div class="green-box">Green box (z-index :2)</div>
			</div>


	</body>
</html>